Package org.springframework.security.web.http

# Class SecurityHeaders

java.lang.Object
org.springframework.security.web.http.SecurityHeaders

public final class SecurityHeaders extends Object
Utilities for interacting with `HttpHeaders`

Since:
  5.1

## Method Summary

Modifier and Type
Method
Description
`static Consumer<org.springframework.http.HttpHeaders>`
`bearerToken(String bearerTokenValue)`
Sets the provided value as a Bearer token in a header with the name of `HttpHeaders.AUTHORIZATION`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### bearerToken

public static Consumer<org.springframework.http.HttpHeaders> bearerToken(String bearerTokenValue)
Sets the provided value as a Bearer token in a header with the name of `HttpHeaders.AUTHORIZATION`

Parameters:
  `bearerTokenValue` - the bear token value
Returns:
  a `Consumer` that sets the header.